liblasi0_1.1.0-2_i386.deb


Advertisement

Description

liblasi0 - creation of PostScript documents containing Unicode symbols

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename liblasi0_1.1.0-2_i386.deb
Package name liblasi0
Package version 1.1.0
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://sourceforge.net/projects/lasi
License -
Maintainer Debian QA Group <packages@qa.debian.org>
Download size 34.35 KB
Installed size 87.00 KB
LASi is a library that provides a C++ stream output interface (with
operator <<) for creating PostScript documents that can contain
characters from any of the scripts and symbol blocks supported in
Unicode and by the Pango layout engine. The library accommodates
right-to-left scripts such as Arabic and Hebrew as easily as
left-to-right scripts. Indic and Indic-derived Complex Text Layout
(CTL) scripts, such as Devanagari, Thai, Lao, and Tibetan are
supported to the extent provided by Pango and by the OpenType fonts
installed on your system. All of this is provided without need for
any special configuration or layout calculation on the programmer's
part.

Alternatives

Package Version Architecture Repository
liblasi0_1.1.0-2_amd64.deb 1.1.0 amd64 Debian Main
liblasi0 - - -

Requires

Name Value
libc6 >= 2.4
libfontconfig1 >= 2.12
libfreetype6 >= 2.2.1
libgcc1 >= 1:3.0
libglib2.0-0 >= 2.12.0
libpango-1.0-0 >= 1.14.0
libpangoft2-1.0-0 >= 1.14.0
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblasi0_1.1.0-2_i386.deb
Source Package lasi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblasi0 deb package:
    # sudo apt-get install liblasi0

Files

Path
/usr/lib/libLASi.so.0
/usr/lib/libLASi.so.0.0.1
/usr/share/doc/liblasi0/AUTHORS
/usr/share/doc/liblasi0/NEWS.gz
/usr/share/doc/liblasi0/README
/usr/share/doc/liblasi0/changelog.Debian.gz
/usr/share/doc/liblasi0/changelog.gz
/usr/share/doc/liblasi0/copyright

Changelog

2017-07-08 - Adrian Bunk <bunk@debian.org>
lasi (1.1.0-2) unstable; urgency=medium
* QA upload.
* Set maintainer to Debian QA Group. (see #867050)
* Add the missing libpango1.0-dev and libfreetype6-dev
dependencies to liblasi-dev. (Closes: #845497)
* Add ${misc:Depends} to the package dependencies.
2016-07-16 - Rafael Laboissiere <rafael@debian.org>
lasi (1.1.0-1.2) unstable; urgency=medium
* Non-maintainer upload.
* d/control: Remove myself from the Uploaders list (closes: #571834)
* d/compat: Bump the debhelper compat level to 9 (closes: #817520)
* d/liblasi-dev.install: Drop useless lines
2014-06-19 - Angel Abad <angel@debian.org>
lasi (1.1.0-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Use 3.0 (quilt) format
* debian/patches/fix-freetype-ftbfs (Closes: #733405):
- Include Freetype headers in recommended way, fix FTBFS
2008-04-19 - Rafael Laboissiere <rafael@debian.org>
lasi (1.1.0-1) unstable; urgency=low
[ Andrew Ross ]
* New upstream release
* debian/rules: Change to support new cmake build system (still using cdbs)
* debian/control:
+ Modify build dependencies for cmake support and to build doxygen
documentation
+ Update Homepage field
+ Update Vcs-* fields
+ Update maintainer and uploader information
* debian/copyright: Update list of authors.
* Fix watch file to use sourceforge
[ Rafael Laboissiere ]
* debian/liblasi-dev.doc-base: Changed document's section to
Programming/C++
* debian/copyright: Add the mandatory copyright notices
2007-12-16 - Rafael Laboissiere <rafael@debian.org>
lasi (1.0.6-4) unstable; urgency=low
* debian/control:
+ Added Homepage field
+ Dropped the Homepage pseudo-header from the extended descriptions
+ Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
+ Bumped Standards-Version to 3.7.3
2007-08-25 - Rafael Laboissiere <rafael@debian.org>
lasi (1.0.6-3) unstable; urgency=low
* debian/control: Fixed typo in package description (closes: #438659)
2007-07-12 - Rafael Laboissiere <rafael@debian.org>
lasi (1.0.6-2) unstable; urgency=low
* debian/control:
+ Added XS-Vcs-Svn and XS-Vcs-Browser fields
+ Use substitution variable ${binary:Version} instead of the deprecated
${Source-Version} (${binary:Version} is needed instead of
${source:Version}, otherwise the package would not be binNMUable)
2006-08-29 - Rafael Laboissiere <rafael@debian.org>
lasi (1.0.6-1) unstable; urgency=low
* New upstream release
* debian/copyright, debian/control, debian/watch: New homepage URL
* debian/control: Enforce build-depedency on libfreetype6-dev >= 2.2
2006-08-29 - Rafael Laboissiere <rafael@debian.org>
lasi (1.0.6~pre.1-1) unstable; urgency=low
* New upstream release.  This is a prerelease for 1.0.6.
* debian/patches/outline-funcs-prototypes.patch: Removed patch, which
has been applied upstream
2006-06-03 - Rafael Laboissiere <rafael@debian.org>
lasi (1.0.5-3) unstable; urgency=low
* debian/patches/outline-funcs-prototypes.patch: Fixed definitions of
some functions such that they match the prototypes defined in
/usr/include/freetype2/freetype/ftimage.h.  The package now builds
correctly in Debian unstable with g++_4.0.3-3 (closes: #370112)

See Also

Package Description
liblasso-perl_2.6.0-2+b2_i386.deb Library for Liberty Alliance and SAML protocols - Perl bindings
liblasso3-dev_2.6.0-2+b2_i386.deb Library for Liberty Alliance and SAML protocols - development kit
liblasso3_2.6.0-2+b2_i386.deb Library for Liberty Alliance and SAML protocols - runtime library
liblastfm-dev_1.0.9-1+b11_i386.deb Last.fm web services library (Qt4 build) - development files
liblastfm-fingerprint1_1.0.9-1+b11_i386.deb Last.fm fingerprinting library (Qt4 build)
liblastfm-fingerprint5-1_1.0.9-1+b11_i386.deb Last.fm fingerprinting library (Qt5 build)
liblastfm-java_0.1.0-2_all.deb last.fm API bindings for Java
liblastfm-ocaml-dev_0.3.0-4+b6_i386.deb OCaml interface to audioscrobbler and lastfm radios
liblastfm1_1.0.9-1+b11_i386.deb Last.fm web services library (Qt4 build)
liblastfm5-1_1.0.9-1+b11_i386.deb Last.fm web services library (Qt5 build)
liblastfm5-dev_1.0.9-1+b11_i386.deb Last.fm web services library (Qt5 build) - development files
liblatex-decode-perl_0.05-1_all.deb Perl module to convert LaTeX input to Unicode
liblatex-driver-perl_0.300.2-2_all.deb driver module that encapsulates the details of formatting a LaTeX document
liblatex-encode-perl_0.092.0-1_all.deb Perl module to encode characters for LaTeX formatting
liblatex-table-perl_1.0.6-3_all.deb Perl extension for the automatic generation of LaTeX tables
Advertisement
Advertisement